Index: XIOS/trunk/src/interface/c_attr/icdomain_attr.cpp
===================================================================
--- XIOS/trunk/src/interface/c_attr/icdomain_attr.cpp	(revision 444)
+++ XIOS/trunk/src/interface/c_attr/icdomain_attr.cpp	(revision 445)
@@ -27,5 +27,5 @@
   void cxios_get_domain_data_dim(domain_Ptr domain_hdl, int* data_dim)
   {
-    *data_dim = domain_hdl->data_dim.getValue();
+    *data_dim = domain_hdl->data_dim.getInheritedValue();
   }
   
@@ -33,5 +33,5 @@
   {
      CTimer::get("XIOS").resume();
-    return !domain_hdl->data_dim.isEmpty();
+    return domain_hdl->data_dim.hasInheritedValue();
      CTimer::get("XIOS").suspend();
   }
@@ -52,5 +52,5 @@
     CTimer::get("XIOS").resume();
     CArray<int,1> tmp(data_i_index,shape(extent1),neverDeleteData) ;
-    tmp=domain_hdl->data_i_index ;
+    tmp=domain_hdl->data_i_index.getInheritedValue() ;
      CTimer::get("XIOS").suspend();
   }
@@ -59,5 +59,5 @@
   {
      CTimer::get("XIOS").resume();
-    return !domain_hdl->data_i_index.isEmpty();
+    return domain_hdl->data_i_index.hasInheritedValue();
      CTimer::get("XIOS").suspend();
   }
@@ -75,5 +75,5 @@
   void cxios_get_domain_data_ibegin(domain_Ptr domain_hdl, int* data_ibegin)
   {
-    *data_ibegin = domain_hdl->data_ibegin.getValue();
+    *data_ibegin = domain_hdl->data_ibegin.getInheritedValue();
   }
   
@@ -81,5 +81,5 @@
   {
      CTimer::get("XIOS").resume();
-    return !domain_hdl->data_ibegin.isEmpty();
+    return domain_hdl->data_ibegin.hasInheritedValue();
      CTimer::get("XIOS").suspend();
   }
@@ -100,5 +100,5 @@
     CTimer::get("XIOS").resume();
     CArray<int,1> tmp(data_j_index,shape(extent1),neverDeleteData) ;
-    tmp=domain_hdl->data_j_index ;
+    tmp=domain_hdl->data_j_index.getInheritedValue() ;
      CTimer::get("XIOS").suspend();
   }
@@ -107,5 +107,5 @@
   {
      CTimer::get("XIOS").resume();
-    return !domain_hdl->data_j_index.isEmpty();
+    return domain_hdl->data_j_index.hasInheritedValue();
      CTimer::get("XIOS").suspend();
   }
@@ -123,5 +123,5 @@
   void cxios_get_domain_data_jbegin(domain_Ptr domain_hdl, int* data_jbegin)
   {
-    *data_jbegin = domain_hdl->data_jbegin.getValue();
+    *data_jbegin = domain_hdl->data_jbegin.getInheritedValue();
   }
   
@@ -129,5 +129,5 @@
   {
      CTimer::get("XIOS").resume();
-    return !domain_hdl->data_jbegin.isEmpty();
+    return domain_hdl->data_jbegin.hasInheritedValue();
      CTimer::get("XIOS").suspend();
   }
@@ -145,5 +145,5 @@
   void cxios_get_domain_data_n_index(domain_Ptr domain_hdl, int* data_n_index)
   {
-    *data_n_index = domain_hdl->data_n_index.getValue();
+    *data_n_index = domain_hdl->data_n_index.getInheritedValue();
   }
   
@@ -151,5 +151,5 @@
   {
      CTimer::get("XIOS").resume();
-    return !domain_hdl->data_n_index.isEmpty();
+    return domain_hdl->data_n_index.hasInheritedValue();
      CTimer::get("XIOS").suspend();
   }
@@ -167,5 +167,5 @@
   void cxios_get_domain_data_ni(domain_Ptr domain_hdl, int* data_ni)
   {
-    *data_ni = domain_hdl->data_ni.getValue();
+    *data_ni = domain_hdl->data_ni.getInheritedValue();
   }
   
@@ -173,5 +173,5 @@
   {
      CTimer::get("XIOS").resume();
-    return !domain_hdl->data_ni.isEmpty();
+    return domain_hdl->data_ni.hasInheritedValue();
      CTimer::get("XIOS").suspend();
   }
@@ -189,5 +189,5 @@
   void cxios_get_domain_data_nj(domain_Ptr domain_hdl, int* data_nj)
   {
-    *data_nj = domain_hdl->data_nj.getValue();
+    *data_nj = domain_hdl->data_nj.getInheritedValue();
   }
   
@@ -195,5 +195,5 @@
   {
      CTimer::get("XIOS").resume();
-    return !domain_hdl->data_nj.isEmpty();
+    return domain_hdl->data_nj.hasInheritedValue();
      CTimer::get("XIOS").suspend();
   }
@@ -214,5 +214,5 @@
   {
      CTimer::get("XIOS").resume();
-    if(!string_copy(domain_hdl->domain_group_ref.getValue(),domain_group_ref , domain_group_ref_size))
+    if(!string_copy(domain_hdl->domain_group_ref.getInheritedValue(),domain_group_ref , domain_group_ref_size))
       ERROR("void cxios_get_domain_domain_group_ref(domain_Ptr domain_hdl, char * domain_group_ref, int domain_group_ref_size)", <<"Input string is to short");
      CTimer::get("XIOS").suspend();
@@ -222,5 +222,5 @@
   {
      CTimer::get("XIOS").resume();
-    return !domain_hdl->domain_group_ref.isEmpty();
+    return domain_hdl->domain_group_ref.hasInheritedValue();
      CTimer::get("XIOS").suspend();
   }
@@ -238,5 +238,5 @@
   void cxios_get_domain_ibegin(domain_Ptr domain_hdl, int* ibegin)
   {
-    *ibegin = domain_hdl->ibegin.getValue();
+    *ibegin = domain_hdl->ibegin.getInheritedValue();
   }
   
@@ -244,5 +244,5 @@
   {
      CTimer::get("XIOS").resume();
-    return !domain_hdl->ibegin.isEmpty();
+    return domain_hdl->ibegin.hasInheritedValue();
      CTimer::get("XIOS").suspend();
   }
@@ -260,5 +260,5 @@
   void cxios_get_domain_iend(domain_Ptr domain_hdl, int* iend)
   {
-    *iend = domain_hdl->iend.getValue();
+    *iend = domain_hdl->iend.getInheritedValue();
   }
   
@@ -266,5 +266,5 @@
   {
      CTimer::get("XIOS").resume();
-    return !domain_hdl->iend.isEmpty();
+    return domain_hdl->iend.hasInheritedValue();
      CTimer::get("XIOS").suspend();
   }
@@ -282,5 +282,5 @@
   void cxios_get_domain_jbegin(domain_Ptr domain_hdl, int* jbegin)
   {
-    *jbegin = domain_hdl->jbegin.getValue();
+    *jbegin = domain_hdl->jbegin.getInheritedValue();
   }
   
@@ -288,5 +288,5 @@
   {
      CTimer::get("XIOS").resume();
-    return !domain_hdl->jbegin.isEmpty();
+    return domain_hdl->jbegin.hasInheritedValue();
      CTimer::get("XIOS").suspend();
   }
@@ -304,5 +304,5 @@
   void cxios_get_domain_jend(domain_Ptr domain_hdl, int* jend)
   {
-    *jend = domain_hdl->jend.getValue();
+    *jend = domain_hdl->jend.getInheritedValue();
   }
   
@@ -310,5 +310,5 @@
   {
      CTimer::get("XIOS").resume();
-    return !domain_hdl->jend.isEmpty();
+    return domain_hdl->jend.hasInheritedValue();
      CTimer::get("XIOS").suspend();
   }
@@ -329,5 +329,5 @@
     CTimer::get("XIOS").resume();
     CArray<double,1> tmp(latvalue,shape(extent1),neverDeleteData) ;
-    tmp=domain_hdl->latvalue ;
+    tmp=domain_hdl->latvalue.getInheritedValue() ;
      CTimer::get("XIOS").suspend();
   }
@@ -336,5 +336,5 @@
   {
      CTimer::get("XIOS").resume();
-    return !domain_hdl->latvalue.isEmpty();
+    return domain_hdl->latvalue.hasInheritedValue();
      CTimer::get("XIOS").suspend();
   }
@@ -355,5 +355,5 @@
   {
      CTimer::get("XIOS").resume();
-    if(!string_copy(domain_hdl->long_name.getValue(),long_name , long_name_size))
+    if(!string_copy(domain_hdl->long_name.getInheritedValue(),long_name , long_name_size))
       ERROR("void cxios_get_domain_long_name(domain_Ptr domain_hdl, char * long_name, int long_name_size)", <<"Input string is to short");
      CTimer::get("XIOS").suspend();
@@ -363,5 +363,5 @@
   {
      CTimer::get("XIOS").resume();
-    return !domain_hdl->long_name.isEmpty();
+    return domain_hdl->long_name.hasInheritedValue();
      CTimer::get("XIOS").suspend();
   }
@@ -382,5 +382,5 @@
     CTimer::get("XIOS").resume();
     CArray<double,1> tmp(lonvalue,shape(extent1),neverDeleteData) ;
-    tmp=domain_hdl->lonvalue ;
+    tmp=domain_hdl->lonvalue.getInheritedValue() ;
      CTimer::get("XIOS").suspend();
   }
@@ -389,5 +389,5 @@
   {
      CTimer::get("XIOS").resume();
-    return !domain_hdl->lonvalue.isEmpty();
+    return domain_hdl->lonvalue.hasInheritedValue();
      CTimer::get("XIOS").suspend();
   }
@@ -408,5 +408,5 @@
     CTimer::get("XIOS").resume();
     CArray<bool,2> tmp(mask,shape(extent1,extent2),neverDeleteData) ;
-    tmp=domain_hdl->mask ;
+    tmp=domain_hdl->mask.getInheritedValue() ;
      CTimer::get("XIOS").suspend();
   }
@@ -415,5 +415,5 @@
   {
      CTimer::get("XIOS").resume();
-    return !domain_hdl->mask.isEmpty();
+    return domain_hdl->mask.hasInheritedValue();
      CTimer::get("XIOS").suspend();
   }
@@ -434,5 +434,5 @@
   {
      CTimer::get("XIOS").resume();
-    if(!string_copy(domain_hdl->name.getValue(),name , name_size))
+    if(!string_copy(domain_hdl->name.getInheritedValue(),name , name_size))
       ERROR("void cxios_get_domain_name(domain_Ptr domain_hdl, char * name, int name_size)", <<"Input string is to short");
      CTimer::get("XIOS").suspend();
@@ -442,5 +442,5 @@
   {
      CTimer::get("XIOS").resume();
-    return !domain_hdl->name.isEmpty();
+    return domain_hdl->name.hasInheritedValue();
      CTimer::get("XIOS").suspend();
   }
@@ -458,5 +458,5 @@
   void cxios_get_domain_ni(domain_Ptr domain_hdl, int* ni)
   {
-    *ni = domain_hdl->ni.getValue();
+    *ni = domain_hdl->ni.getInheritedValue();
   }
   
@@ -464,5 +464,5 @@
   {
      CTimer::get("XIOS").resume();
-    return !domain_hdl->ni.isEmpty();
+    return domain_hdl->ni.hasInheritedValue();
      CTimer::get("XIOS").suspend();
   }
@@ -480,5 +480,5 @@
   void cxios_get_domain_ni_glo(domain_Ptr domain_hdl, int* ni_glo)
   {
-    *ni_glo = domain_hdl->ni_glo.getValue();
+    *ni_glo = domain_hdl->ni_glo.getInheritedValue();
   }
   
@@ -486,5 +486,5 @@
   {
      CTimer::get("XIOS").resume();
-    return !domain_hdl->ni_glo.isEmpty();
+    return domain_hdl->ni_glo.hasInheritedValue();
      CTimer::get("XIOS").suspend();
   }
@@ -502,5 +502,5 @@
   void cxios_get_domain_nj(domain_Ptr domain_hdl, int* nj)
   {
-    *nj = domain_hdl->nj.getValue();
+    *nj = domain_hdl->nj.getInheritedValue();
   }
   
@@ -508,5 +508,5 @@
   {
      CTimer::get("XIOS").resume();
-    return !domain_hdl->nj.isEmpty();
+    return domain_hdl->nj.hasInheritedValue();
      CTimer::get("XIOS").suspend();
   }
@@ -524,5 +524,5 @@
   void cxios_get_domain_nj_glo(domain_Ptr domain_hdl, int* nj_glo)
   {
-    *nj_glo = domain_hdl->nj_glo.getValue();
+    *nj_glo = domain_hdl->nj_glo.getInheritedValue();
   }
   
@@ -530,5 +530,5 @@
   {
      CTimer::get("XIOS").resume();
-    return !domain_hdl->nj_glo.isEmpty();
+    return domain_hdl->nj_glo.hasInheritedValue();
      CTimer::get("XIOS").suspend();
   }
@@ -549,5 +549,5 @@
   {
      CTimer::get("XIOS").resume();
-    if(!string_copy(domain_hdl->standard_name.getValue(),standard_name , standard_name_size))
+    if(!string_copy(domain_hdl->standard_name.getInheritedValue(),standard_name , standard_name_size))
       ERROR("void cxios_get_domain_standard_name(domain_Ptr domain_hdl, char * standard_name, int standard_name_size)", <<"Input string is to short");
      CTimer::get("XIOS").suspend();
@@ -557,5 +557,5 @@
   {
      CTimer::get("XIOS").resume();
-    return !domain_hdl->standard_name.isEmpty();
+    return domain_hdl->standard_name.hasInheritedValue();
      CTimer::get("XIOS").suspend();
   }
@@ -573,5 +573,5 @@
   void cxios_get_domain_zoom_ibegin(domain_Ptr domain_hdl, int* zoom_ibegin)
   {
-    *zoom_ibegin = domain_hdl->zoom_ibegin.getValue();
+    *zoom_ibegin = domain_hdl->zoom_ibegin.getInheritedValue();
   }
   
@@ -579,5 +579,5 @@
   {
      CTimer::get("XIOS").resume();
-    return !domain_hdl->zoom_ibegin.isEmpty();
+    return domain_hdl->zoom_ibegin.hasInheritedValue();
      CTimer::get("XIOS").suspend();
   }
@@ -595,5 +595,5 @@
   void cxios_get_domain_zoom_ibegin_loc(domain_Ptr domain_hdl, int* zoom_ibegin_loc)
   {
-    *zoom_ibegin_loc = domain_hdl->zoom_ibegin_loc.getValue();
+    *zoom_ibegin_loc = domain_hdl->zoom_ibegin_loc.getInheritedValue();
   }
   
@@ -601,5 +601,5 @@
   {
      CTimer::get("XIOS").resume();
-    return !domain_hdl->zoom_ibegin_loc.isEmpty();
+    return domain_hdl->zoom_ibegin_loc.hasInheritedValue();
      CTimer::get("XIOS").suspend();
   }
@@ -617,5 +617,5 @@
   void cxios_get_domain_zoom_jbegin(domain_Ptr domain_hdl, int* zoom_jbegin)
   {
-    *zoom_jbegin = domain_hdl->zoom_jbegin.getValue();
+    *zoom_jbegin = domain_hdl->zoom_jbegin.getInheritedValue();
   }
   
@@ -623,5 +623,5 @@
   {
      CTimer::get("XIOS").resume();
-    return !domain_hdl->zoom_jbegin.isEmpty();
+    return domain_hdl->zoom_jbegin.hasInheritedValue();
      CTimer::get("XIOS").suspend();
   }
@@ -639,5 +639,5 @@
   void cxios_get_domain_zoom_jbegin_loc(domain_Ptr domain_hdl, int* zoom_jbegin_loc)
   {
-    *zoom_jbegin_loc = domain_hdl->zoom_jbegin_loc.getValue();
+    *zoom_jbegin_loc = domain_hdl->zoom_jbegin_loc.getInheritedValue();
   }
   
@@ -645,5 +645,5 @@
   {
      CTimer::get("XIOS").resume();
-    return !domain_hdl->zoom_jbegin_loc.isEmpty();
+    return domain_hdl->zoom_jbegin_loc.hasInheritedValue();
      CTimer::get("XIOS").suspend();
   }
@@ -661,5 +661,5 @@
   void cxios_get_domain_zoom_ni(domain_Ptr domain_hdl, int* zoom_ni)
   {
-    *zoom_ni = domain_hdl->zoom_ni.getValue();
+    *zoom_ni = domain_hdl->zoom_ni.getInheritedValue();
   }
   
@@ -667,5 +667,5 @@
   {
      CTimer::get("XIOS").resume();
-    return !domain_hdl->zoom_ni.isEmpty();
+    return domain_hdl->zoom_ni.hasInheritedValue();
      CTimer::get("XIOS").suspend();
   }
@@ -683,5 +683,5 @@
   void cxios_get_domain_zoom_ni_loc(domain_Ptr domain_hdl, int* zoom_ni_loc)
   {
-    *zoom_ni_loc = domain_hdl->zoom_ni_loc.getValue();
+    *zoom_ni_loc = domain_hdl->zoom_ni_loc.getInheritedValue();
   }
   
@@ -689,5 +689,5 @@
   {
      CTimer::get("XIOS").resume();
-    return !domain_hdl->zoom_ni_loc.isEmpty();
+    return domain_hdl->zoom_ni_loc.hasInheritedValue();
      CTimer::get("XIOS").suspend();
   }
@@ -705,5 +705,5 @@
   void cxios_get_domain_zoom_nj(domain_Ptr domain_hdl, int* zoom_nj)
   {
-    *zoom_nj = domain_hdl->zoom_nj.getValue();
+    *zoom_nj = domain_hdl->zoom_nj.getInheritedValue();
   }
   
@@ -711,5 +711,5 @@
   {
      CTimer::get("XIOS").resume();
-    return !domain_hdl->zoom_nj.isEmpty();
+    return domain_hdl->zoom_nj.hasInheritedValue();
      CTimer::get("XIOS").suspend();
   }
@@ -727,5 +727,5 @@
   void cxios_get_domain_zoom_nj_loc(domain_Ptr domain_hdl, int* zoom_nj_loc)
   {
-    *zoom_nj_loc = domain_hdl->zoom_nj_loc.getValue();
+    *zoom_nj_loc = domain_hdl->zoom_nj_loc.getInheritedValue();
   }
   
@@ -733,5 +733,5 @@
   {
      CTimer::get("XIOS").resume();
-    return !domain_hdl->zoom_nj_loc.isEmpty();
+    return domain_hdl->zoom_nj_loc.hasInheritedValue();
      CTimer::get("XIOS").suspend();
   }
Index: XIOS/trunk/src/interface/c_attr/icdomaingroup_attr.cpp
===================================================================
--- XIOS/trunk/src/interface/c_attr/icdomaingroup_attr.cpp	(revision 444)
+++ XIOS/trunk/src/interface/c_attr/icdomaingroup_attr.cpp	(revision 445)
@@ -27,5 +27,5 @@
   void cxios_get_domaingroup_data_dim(domaingroup_Ptr domaingroup_hdl, int* data_dim)
   {
-    *data_dim = domaingroup_hdl->data_dim.getValue();
+    *data_dim = domaingroup_hdl->data_dim.getInheritedValue();
   }
   
@@ -33,5 +33,5 @@
   {
      CTimer::get("XIOS").resume();
-    return !domaingroup_hdl->data_dim.isEmpty();
+    return domaingroup_hdl->data_dim.hasInheritedValue();
      CTimer::get("XIOS").suspend();
   }
@@ -52,5 +52,5 @@
     CTimer::get("XIOS").resume();
     CArray<int,1> tmp(data_i_index,shape(extent1),neverDeleteData) ;
-    tmp=domaingroup_hdl->data_i_index ;
+    tmp=domaingroup_hdl->data_i_index.getInheritedValue() ;
      CTimer::get("XIOS").suspend();
   }
@@ -59,5 +59,5 @@
   {
      CTimer::get("XIOS").resume();
-    return !domaingroup_hdl->data_i_index.isEmpty();
+    return domaingroup_hdl->data_i_index.hasInheritedValue();
      CTimer::get("XIOS").suspend();
   }
@@ -75,5 +75,5 @@
   void cxios_get_domaingroup_data_ibegin(domaingroup_Ptr domaingroup_hdl, int* data_ibegin)
   {
-    *data_ibegin = domaingroup_hdl->data_ibegin.getValue();
+    *data_ibegin = domaingroup_hdl->data_ibegin.getInheritedValue();
   }
   
@@ -81,5 +81,5 @@
   {
      CTimer::get("XIOS").resume();
-    return !domaingroup_hdl->data_ibegin.isEmpty();
+    return domaingroup_hdl->data_ibegin.hasInheritedValue();
      CTimer::get("XIOS").suspend();
   }
@@ -100,5 +100,5 @@
     CTimer::get("XIOS").resume();
     CArray<int,1> tmp(data_j_index,shape(extent1),neverDeleteData) ;
-    tmp=domaingroup_hdl->data_j_index ;
+    tmp=domaingroup_hdl->data_j_index.getInheritedValue() ;
      CTimer::get("XIOS").suspend();
   }
@@ -107,5 +107,5 @@
   {
      CTimer::get("XIOS").resume();
-    return !domaingroup_hdl->data_j_index.isEmpty();
+    return domaingroup_hdl->data_j_index.hasInheritedValue();
      CTimer::get("XIOS").suspend();
   }
@@ -123,5 +123,5 @@
   void cxios_get_domaingroup_data_jbegin(domaingroup_Ptr domaingroup_hdl, int* data_jbegin)
   {
-    *data_jbegin = domaingroup_hdl->data_jbegin.getValue();
+    *data_jbegin = domaingroup_hdl->data_jbegin.getInheritedValue();
   }
   
@@ -129,5 +129,5 @@
   {
      CTimer::get("XIOS").resume();
-    return !domaingroup_hdl->data_jbegin.isEmpty();
+    return domaingroup_hdl->data_jbegin.hasInheritedValue();
      CTimer::get("XIOS").suspend();
   }
@@ -145,5 +145,5 @@
   void cxios_get_domaingroup_data_n_index(domaingroup_Ptr domaingroup_hdl, int* data_n_index)
   {
-    *data_n_index = domaingroup_hdl->data_n_index.getValue();
+    *data_n_index = domaingroup_hdl->data_n_index.getInheritedValue();
   }
   
@@ -151,5 +151,5 @@
   {
      CTimer::get("XIOS").resume();
-    return !domaingroup_hdl->data_n_index.isEmpty();
+    return domaingroup_hdl->data_n_index.hasInheritedValue();
      CTimer::get("XIOS").suspend();
   }
@@ -167,5 +167,5 @@
   void cxios_get_domaingroup_data_ni(domaingroup_Ptr domaingroup_hdl, int* data_ni)
   {
-    *data_ni = domaingroup_hdl->data_ni.getValue();
+    *data_ni = domaingroup_hdl->data_ni.getInheritedValue();
   }
   
@@ -173,5 +173,5 @@
   {
      CTimer::get("XIOS").resume();
-    return !domaingroup_hdl->data_ni.isEmpty();
+    return domaingroup_hdl->data_ni.hasInheritedValue();
      CTimer::get("XIOS").suspend();
   }
@@ -189,5 +189,5 @@
   void cxios_get_domaingroup_data_nj(domaingroup_Ptr domaingroup_hdl, int* data_nj)
   {
-    *data_nj = domaingroup_hdl->data_nj.getValue();
+    *data_nj = domaingroup_hdl->data_nj.getInheritedValue();
   }
   
@@ -195,5 +195,5 @@
   {
      CTimer::get("XIOS").resume();
-    return !domaingroup_hdl->data_nj.isEmpty();
+    return domaingroup_hdl->data_nj.hasInheritedValue();
      CTimer::get("XIOS").suspend();
   }
@@ -214,5 +214,5 @@
   {
      CTimer::get("XIOS").resume();
-    if(!string_copy(domaingroup_hdl->domain_group_ref.getValue(),domain_group_ref , domain_group_ref_size))
+    if(!string_copy(domaingroup_hdl->domain_group_ref.getInheritedValue(),domain_group_ref , domain_group_ref_size))
       ERROR("void cxios_get_domaingroup_domain_group_ref(domaingroup_Ptr domaingroup_hdl, char * domain_group_ref, int domain_group_ref_size)", <<"Input string is to short");
      CTimer::get("XIOS").suspend();
@@ -222,5 +222,5 @@
   {
      CTimer::get("XIOS").resume();
-    return !domaingroup_hdl->domain_group_ref.isEmpty();
+    return domaingroup_hdl->domain_group_ref.hasInheritedValue();
      CTimer::get("XIOS").suspend();
   }
@@ -241,5 +241,5 @@
   {
      CTimer::get("XIOS").resume();
-    if(!string_copy(domaingroup_hdl->group_ref.getValue(),group_ref , group_ref_size))
+    if(!string_copy(domaingroup_hdl->group_ref.getInheritedValue(),group_ref , group_ref_size))
       ERROR("void cxios_get_domaingroup_group_ref(domaingroup_Ptr domaingroup_hdl, char * group_ref, int group_ref_size)", <<"Input string is to short");
      CTimer::get("XIOS").suspend();
@@ -249,5 +249,5 @@
   {
      CTimer::get("XIOS").resume();
-    return !domaingroup_hdl->group_ref.isEmpty();
+    return domaingroup_hdl->group_ref.hasInheritedValue();
      CTimer::get("XIOS").suspend();
   }
@@ -265,5 +265,5 @@
   void cxios_get_domaingroup_ibegin(domaingroup_Ptr domaingroup_hdl, int* ibegin)
   {
-    *ibegin = domaingroup_hdl->ibegin.getValue();
+    *ibegin = domaingroup_hdl->ibegin.getInheritedValue();
   }
   
@@ -271,5 +271,5 @@
   {
      CTimer::get("XIOS").resume();
-    return !domaingroup_hdl->ibegin.isEmpty();
+    return domaingroup_hdl->ibegin.hasInheritedValue();
      CTimer::get("XIOS").suspend();
   }
@@ -287,5 +287,5 @@
   void cxios_get_domaingroup_iend(domaingroup_Ptr domaingroup_hdl, int* iend)
   {
-    *iend = domaingroup_hdl->iend.getValue();
+    *iend = domaingroup_hdl->iend.getInheritedValue();
   }
   
@@ -293,5 +293,5 @@
   {
      CTimer::get("XIOS").resume();
-    return !domaingroup_hdl->iend.isEmpty();
+    return domaingroup_hdl->iend.hasInheritedValue();
      CTimer::get("XIOS").suspend();
   }
@@ -309,5 +309,5 @@
   void cxios_get_domaingroup_jbegin(domaingroup_Ptr domaingroup_hdl, int* jbegin)
   {
-    *jbegin = domaingroup_hdl->jbegin.getValue();
+    *jbegin = domaingroup_hdl->jbegin.getInheritedValue();
   }
   
@@ -315,5 +315,5 @@
   {
      CTimer::get("XIOS").resume();
-    return !domaingroup_hdl->jbegin.isEmpty();
+    return domaingroup_hdl->jbegin.hasInheritedValue();
      CTimer::get("XIOS").suspend();
   }
@@ -331,5 +331,5 @@
   void cxios_get_domaingroup_jend(domaingroup_Ptr domaingroup_hdl, int* jend)
   {
-    *jend = domaingroup_hdl->jend.getValue();
+    *jend = domaingroup_hdl->jend.getInheritedValue();
   }
   
@@ -337,5 +337,5 @@
   {
      CTimer::get("XIOS").resume();
-    return !domaingroup_hdl->jend.isEmpty();
+    return domaingroup_hdl->jend.hasInheritedValue();
      CTimer::get("XIOS").suspend();
   }
@@ -356,5 +356,5 @@
     CTimer::get("XIOS").resume();
     CArray<double,1> tmp(latvalue,shape(extent1),neverDeleteData) ;
-    tmp=domaingroup_hdl->latvalue ;
+    tmp=domaingroup_hdl->latvalue.getInheritedValue() ;
      CTimer::get("XIOS").suspend();
   }
@@ -363,5 +363,5 @@
   {
      CTimer::get("XIOS").resume();
-    return !domaingroup_hdl->latvalue.isEmpty();
+    return domaingroup_hdl->latvalue.hasInheritedValue();
      CTimer::get("XIOS").suspend();
   }
@@ -382,5 +382,5 @@
   {
      CTimer::get("XIOS").resume();
-    if(!string_copy(domaingroup_hdl->long_name.getValue(),long_name , long_name_size))
+    if(!string_copy(domaingroup_hdl->long_name.getInheritedValue(),long_name , long_name_size))
       ERROR("void cxios_get_domaingroup_long_name(domaingroup_Ptr domaingroup_hdl, char * long_name, int long_name_size)", <<"Input string is to short");
      CTimer::get("XIOS").suspend();
@@ -390,5 +390,5 @@
   {
      CTimer::get("XIOS").resume();
-    return !domaingroup_hdl->long_name.isEmpty();
+    return domaingroup_hdl->long_name.hasInheritedValue();
      CTimer::get("XIOS").suspend();
   }
@@ -409,5 +409,5 @@
     CTimer::get("XIOS").resume();
     CArray<double,1> tmp(lonvalue,shape(extent1),neverDeleteData) ;
-    tmp=domaingroup_hdl->lonvalue ;
+    tmp=domaingroup_hdl->lonvalue.getInheritedValue() ;
      CTimer::get("XIOS").suspend();
   }
@@ -416,5 +416,5 @@
   {
      CTimer::get("XIOS").resume();
-    return !domaingroup_hdl->lonvalue.isEmpty();
+    return domaingroup_hdl->lonvalue.hasInheritedValue();
      CTimer::get("XIOS").suspend();
   }
@@ -435,5 +435,5 @@
     CTimer::get("XIOS").resume();
     CArray<bool,2> tmp(mask,shape(extent1,extent2),neverDeleteData) ;
-    tmp=domaingroup_hdl->mask ;
+    tmp=domaingroup_hdl->mask.getInheritedValue() ;
      CTimer::get("XIOS").suspend();
   }
@@ -442,5 +442,5 @@
   {
      CTimer::get("XIOS").resume();
-    return !domaingroup_hdl->mask.isEmpty();
+    return domaingroup_hdl->mask.hasInheritedValue();
      CTimer::get("XIOS").suspend();
   }
@@ -461,5 +461,5 @@
   {
      CTimer::get("XIOS").resume();
-    if(!string_copy(domaingroup_hdl->name.getValue(),name , name_size))
+    if(!string_copy(domaingroup_hdl->name.getInheritedValue(),name , name_size))
       ERROR("void cxios_get_domaingroup_name(domaingroup_Ptr domaingroup_hdl, char * name, int name_size)", <<"Input string is to short");
      CTimer::get("XIOS").suspend();
@@ -469,5 +469,5 @@
   {
      CTimer::get("XIOS").resume();
-    return !domaingroup_hdl->name.isEmpty();
+    return domaingroup_hdl->name.hasInheritedValue();
      CTimer::get("XIOS").suspend();
   }
@@ -485,5 +485,5 @@
   void cxios_get_domaingroup_ni(domaingroup_Ptr domaingroup_hdl, int* ni)
   {
-    *ni = domaingroup_hdl->ni.getValue();
+    *ni = domaingroup_hdl->ni.getInheritedValue();
   }
   
@@ -491,5 +491,5 @@
   {
      CTimer::get("XIOS").resume();
-    return !domaingroup_hdl->ni.isEmpty();
+    return domaingroup_hdl->ni.hasInheritedValue();
      CTimer::get("XIOS").suspend();
   }
@@ -507,5 +507,5 @@
   void cxios_get_domaingroup_ni_glo(domaingroup_Ptr domaingroup_hdl, int* ni_glo)
   {
-    *ni_glo = domaingroup_hdl->ni_glo.getValue();
+    *ni_glo = domaingroup_hdl->ni_glo.getInheritedValue();
   }
   
@@ -513,5 +513,5 @@
   {
      CTimer::get("XIOS").resume();
-    return !domaingroup_hdl->ni_glo.isEmpty();
+    return domaingroup_hdl->ni_glo.hasInheritedValue();
      CTimer::get("XIOS").suspend();
   }
@@ -529,5 +529,5 @@
   void cxios_get_domaingroup_nj(domaingroup_Ptr domaingroup_hdl, int* nj)
   {
-    *nj = domaingroup_hdl->nj.getValue();
+    *nj = domaingroup_hdl->nj.getInheritedValue();
   }
   
@@ -535,5 +535,5 @@
   {
      CTimer::get("XIOS").resume();
-    return !domaingroup_hdl->nj.isEmpty();
+    return domaingroup_hdl->nj.hasInheritedValue();
      CTimer::get("XIOS").suspend();
   }
@@ -551,5 +551,5 @@
   void cxios_get_domaingroup_nj_glo(domaingroup_Ptr domaingroup_hdl, int* nj_glo)
   {
-    *nj_glo = domaingroup_hdl->nj_glo.getValue();
+    *nj_glo = domaingroup_hdl->nj_glo.getInheritedValue();
   }
   
@@ -557,5 +557,5 @@
   {
      CTimer::get("XIOS").resume();
-    return !domaingroup_hdl->nj_glo.isEmpty();
+    return domaingroup_hdl->nj_glo.hasInheritedValue();
      CTimer::get("XIOS").suspend();
   }
@@ -576,5 +576,5 @@
   {
      CTimer::get("XIOS").resume();
-    if(!string_copy(domaingroup_hdl->standard_name.getValue(),standard_name , standard_name_size))
+    if(!string_copy(domaingroup_hdl->standard_name.getInheritedValue(),standard_name , standard_name_size))
       ERROR("void cxios_get_domaingroup_standard_name(domaingroup_Ptr domaingroup_hdl, char * standard_name, int standard_name_size)", <<"Input string is to short");
      CTimer::get("XIOS").suspend();
@@ -584,5 +584,5 @@
   {
      CTimer::get("XIOS").resume();
-    return !domaingroup_hdl->standard_name.isEmpty();
+    return domaingroup_hdl->standard_name.hasInheritedValue();
      CTimer::get("XIOS").suspend();
   }
@@ -600,5 +600,5 @@
   void cxios_get_domaingroup_zoom_ibegin(domaingroup_Ptr domaingroup_hdl, int* zoom_ibegin)
   {
-    *zoom_ibegin = domaingroup_hdl->zoom_ibegin.getValue();
+    *zoom_ibegin = domaingroup_hdl->zoom_ibegin.getInheritedValue();
   }
   
@@ -606,5 +606,5 @@
   {
      CTimer::get("XIOS").resume();
-    return !domaingroup_hdl->zoom_ibegin.isEmpty();
+    return domaingroup_hdl->zoom_ibegin.hasInheritedValue();
      CTimer::get("XIOS").suspend();
   }
@@ -622,5 +622,5 @@
   void cxios_get_domaingroup_zoom_ibegin_loc(domaingroup_Ptr domaingroup_hdl, int* zoom_ibegin_loc)
   {
-    *zoom_ibegin_loc = domaingroup_hdl->zoom_ibegin_loc.getValue();
+    *zoom_ibegin_loc = domaingroup_hdl->zoom_ibegin_loc.getInheritedValue();
   }
   
@@ -628,5 +628,5 @@
   {
      CTimer::get("XIOS").resume();
-    return !domaingroup_hdl->zoom_ibegin_loc.isEmpty();
+    return domaingroup_hdl->zoom_ibegin_loc.hasInheritedValue();
      CTimer::get("XIOS").suspend();
   }
@@ -644,5 +644,5 @@
   void cxios_get_domaingroup_zoom_jbegin(domaingroup_Ptr domaingroup_hdl, int* zoom_jbegin)
   {
-    *zoom_jbegin = domaingroup_hdl->zoom_jbegin.getValue();
+    *zoom_jbegin = domaingroup_hdl->zoom_jbegin.getInheritedValue();
   }
   
@@ -650,5 +650,5 @@
   {
      CTimer::get("XIOS").resume();
-    return !domaingroup_hdl->zoom_jbegin.isEmpty();
+    return domaingroup_hdl->zoom_jbegin.hasInheritedValue();
      CTimer::get("XIOS").suspend();
   }
@@ -666,5 +666,5 @@
   void cxios_get_domaingroup_zoom_jbegin_loc(domaingroup_Ptr domaingroup_hdl, int* zoom_jbegin_loc)
   {
-    *zoom_jbegin_loc = domaingroup_hdl->zoom_jbegin_loc.getValue();
+    *zoom_jbegin_loc = domaingroup_hdl->zoom_jbegin_loc.getInheritedValue();
   }
   
@@ -672,5 +672,5 @@
   {
      CTimer::get("XIOS").resume();
-    return !domaingroup_hdl->zoom_jbegin_loc.isEmpty();
+    return domaingroup_hdl->zoom_jbegin_loc.hasInheritedValue();
      CTimer::get("XIOS").suspend();
   }
@@ -688,5 +688,5 @@
   void cxios_get_domaingroup_zoom_ni(domaingroup_Ptr domaingroup_hdl, int* zoom_ni)
   {
-    *zoom_ni = domaingroup_hdl->zoom_ni.getValue();
+    *zoom_ni = domaingroup_hdl->zoom_ni.getInheritedValue();
   }
   
@@ -694,5 +694,5 @@
   {
      CTimer::get("XIOS").resume();
-    return !domaingroup_hdl->zoom_ni.isEmpty();
+    return domaingroup_hdl->zoom_ni.hasInheritedValue();
      CTimer::get("XIOS").suspend();
   }
@@ -710,5 +710,5 @@
   void cxios_get_domaingroup_zoom_ni_loc(domaingroup_Ptr domaingroup_hdl, int* zoom_ni_loc)
   {
-    *zoom_ni_loc = domaingroup_hdl->zoom_ni_loc.getValue();
+    *zoom_ni_loc = domaingroup_hdl->zoom_ni_loc.getInheritedValue();
   }
   
@@ -716,5 +716,5 @@
   {
      CTimer::get("XIOS").resume();
-    return !domaingroup_hdl->zoom_ni_loc.isEmpty();
+    return domaingroup_hdl->zoom_ni_loc.hasInheritedValue();
      CTimer::get("XIOS").suspend();
   }
@@ -732,5 +732,5 @@
   void cxios_get_domaingroup_zoom_nj(domaingroup_Ptr domaingroup_hdl, int* zoom_nj)
   {
-    *zoom_nj = domaingroup_hdl->zoom_nj.getValue();
+    *zoom_nj = domaingroup_hdl->zoom_nj.getInheritedValue();
   }
   
@@ -738,5 +738,5 @@
   {
      CTimer::get("XIOS").resume();
-    return !domaingroup_hdl->zoom_nj.isEmpty();
+    return domaingroup_hdl->zoom_nj.hasInheritedValue();
      CTimer::get("XIOS").suspend();
   }
@@ -754,5 +754,5 @@
   void cxios_get_domaingroup_zoom_nj_loc(domaingroup_Ptr domaingroup_hdl, int* zoom_nj_loc)
   {
-    *zoom_nj_loc = domaingroup_hdl->zoom_nj_loc.getValue();
+    *zoom_nj_loc = domaingroup_hdl->zoom_nj_loc.getInheritedValue();
   }
   
@@ -760,5 +760,5 @@
   {
      CTimer::get("XIOS").resume();
-    return !domaingroup_hdl->zoom_nj_loc.isEmpty();
+    return domaingroup_hdl->zoom_nj_loc.hasInheritedValue();
      CTimer::get("XIOS").suspend();
   }
